Loading...
Searching...
No Matches
gv3.c File Reference

OGSF library - loading vector sets (lower level functions). More...

`#include <stdlib.h>`
`#include <grass/gis.h>`
`#include <grass/colors.h>`
`#include <grass/raster.h>`
`#include <grass/vector.h>`
`#include <grass/dbmi.h>`
`#include <grass/glocale.h>`
`#include <grass/ogsf.h>`
Include dependency graph for gv3.c:

Go to the source code of this file.

## Functions

geoline * | Gv_load_vect (const char *grassname, int *nlines)
| Load vector map to memory.
void | sub_Vectmem (int minus)
| Tracking memory.
int | Gv_load_vect_thematic (geovect *gv, struct Colors *colors)
| Load styles for geolines based on thematic mapping.

## Detailed Description

OGSF library - loading vector sets (lower level functions).

GRASS OpenGL gsurf OGSF Library

(C) 1999-2008, 2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Bill Brown USACERL (December 1993)
  Updated by Martin Landa <landa.martin gmail.com> (doxygenized in May 2008, thematic mapping in August 2011)

Definition in file gv3.c.

## Function Documentation

## Gv_load_vect()

geoline * Gv_load_vect | ( | const char * | grassname,
|  | int * | nlines )

Load vector map to memory.

The other alternative may be to load to a tmp file

Parameters

  | grassname | vector map name
  [out] | nlines | number of loaded features

Returns
  pointer to geoline struct
  NULL on failure

Definition at line 47 of file gv3.c.

References G_debug(), G_find_vector2(), G_free(), G_fully_qualified_name(), G_get_set_window(), G_message(), G_warning(), GS_v3cross(), NULL, X, and Y.

Referenced by GV_load_vector().

## Gv_load_vect_thematic()

int Gv_load_vect_thematic | ( | geovect * | gv,
|  | struct Colors * | colors )

Load styles for geolines based on thematic mapping.

Parameters

  gv | pointer to geovect structure
  colors | pointer to Colors structure or NULL

Returns
  number of features defined by thematic mapping
  -1 on error

Definition at line 319 of file gv3.c.

References BLU_MASK, G_fatal_error(), G_find_vector2(), G_fully_qualified_name(), G_message(), G_str_to_color(), G_warning(), G_zero(), GRN_MASK, and RED_MASK.

Referenced by GV_set_style_thematic().

## sub_Vectmem()

void sub_Vectmem | ( | int | minus | ) |

Tracking memory.

Parameters

  minus | mimus number

Definition at line 298 of file gv3.c.

References G_debug().

Referenced by gv_free_vectmem().